the return of api_scilab.hxx
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - Digiteo - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 ### SOURCES ###
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # Copyright (C) 2012 - 2016 - Scilab Enterprises
29 #
30 # This file is hereby licensed under the terms of the GNU GPL v2.0,
31 # pursuant to article 5.3.4 of the CeCILL v.2.1.
32 # This file was originally licensed under the terms of the CeCILL v2.1,
33 # and continues to be available under such terms.
34 # For more information, see the COPYING file which you should have received
35 # along with this program.
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
110         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
111         $(top_srcdir)/config/depcomp \
112         $(libsciapi_scilab_la_include_HEADERS)
113 @NEED_JAVA_TRUE@am__append_1 = java
114 subdir = modules/api_scilab
115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
116 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
117         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
118         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
119         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
120         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
121         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
122         $(top_srcdir)/m4/intel_compiler.m4 \
123         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
124         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
125         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
126         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
127         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
128         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
129         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
130         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
131         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
132         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
133         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
134 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135         $(ACLOCAL_M4)
136 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
137 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
138 CONFIG_CLEAN_FILES =
139 CONFIG_CLEAN_VPATH_FILES =
140 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
141 am__vpath_adj = case $$p in \
142     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
143     *) f=$$p;; \
144   esac;
145 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
146 am__install_max = 40
147 am__nobase_strip_setup = \
148   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
149 am__nobase_strip = \
150   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
151 am__nobase_list = $(am__nobase_strip_setup); \
152   for p in $$list; do echo "$$p $$p"; done | \
153   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
154   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
155     if (++n[$$2] == $(am__install_max)) \
156       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
157     END { for (dir in files) print dir, files[dir] }'
158 am__base_list = \
159   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
160   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
161 am__uninstall_files_from_dir = { \
162   test -z "$$files" \
163     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
164     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
165          $(am__cd) "$$dir" && rm -f $$files; }; \
166   }
167 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
168         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
169         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
170         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
171 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
172 libsciapi_scilab_la_DEPENDENCIES =
173 am__dirstamp = $(am__leading_dot)dirstamp
174 am__objects_1 = src/cpp/libsciapi_scilab_la-api_stack_boolean.lo \
175         src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo \
176         src/cpp/libsciapi_scilab_la-api_stack_common.lo \
177         src/cpp/libsciapi_scilab_la-api_stack_double.lo \
178         src/cpp/libsciapi_scilab_la-api_stack_int.lo \
179         src/cpp/libsciapi_scilab_la-api_stack_list.lo \
180         src/cpp/libsciapi_scilab_la-api_stack_poly.lo \
181         src/cpp/libsciapi_scilab_la-api_stack_sparse.lo \
182         src/cpp/libsciapi_scilab_la-api_stack_string.lo \
183         src/cpp/libsciapi_scilab_la-api_stack_pointer.lo \
184         src/cpp/libsciapi_scilab_la-api_stack_handle.lo \
185         src/cpp/libsciapi_scilab_la-api_stack_error.lo \
186         src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo \
187         src/cpp/libsciapi_scilab_la-api_stack_optional.lo \
188         src/cpp/libsciapi_scilab_la-returnProperty.lo \
189         src/cpp/libsciapi_scilab_la-returnPropertyList.lo \
190         src/cpp/libsciapi_scilab_la-api_template_safe.lo \
191         src/cpp/libsciapi_scilab_la-api_template_unsafe.lo \
192         src/cpp/libsciapi_scilab_la-api_error.lo
193 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
194 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
195 AM_V_lt = $(am__v_lt_@AM_V@)
196 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
197 am__v_lt_0 = --silent
198 am__v_lt_1 = 
199 libsciapi_scilab_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
200         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
201         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciapi_scilab_la_LDFLAGS) \
202         $(LDFLAGS) -o $@
203 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
204 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
205 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
206 AM_V_P = $(am__v_P_@AM_V@)
207 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
208 am__v_P_0 = false
209 am__v_P_1 = :
210 AM_V_GEN = $(am__v_GEN_@AM_V@)
211 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
212 am__v_GEN_0 = @echo "  GEN     " $@;
213 am__v_GEN_1 = 
214 AM_V_at = $(am__v_at_@AM_V@)
215 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
216 am__v_at_0 = @
217 am__v_at_1 = 
218 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
219 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
220 am__depfiles_maybe = depfiles
221 am__mv = mv -f
222 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
223         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
224 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
225         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
226         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
227         $(AM_CXXFLAGS) $(CXXFLAGS)
228 AM_V_CXX = $(am__v_CXX_@AM_V@)
229 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
230 am__v_CXX_0 = @echo "  CXX     " $@;
231 am__v_CXX_1 = 
232 CXXLD = $(CXX)
233 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
234         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
235         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
236 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
237 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
238 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
239 am__v_CXXLD_1 = 
240 SOURCES = $(libsciapi_scilab_la_SOURCES)
241 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
242 am__can_run_installinfo = \
243   case $$AM_UPDATE_INFO_DIR in \
244     n|no|NO) false;; \
245     *) (install-info --version) >/dev/null 2>&1;; \
246   esac
247 DATA = $(libsciapi_scilab_la_etc_DATA) \
248         $(libsciapi_scilab_la_root_DATA)
249 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
250 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
251 # Read a list of newline-separated strings from the standard input,
252 # and print each of them once, without duplicates.  Input order is
253 # *not* preserved.
254 am__uniquify_input = $(AWK) '\
255   BEGIN { nonempty = 0; } \
256   { items[$$0] = 1; nonempty = 1; } \
257   END { if (nonempty) { for (i in items) print i; }; } \
258 '
259 # Make sure the list of sources is unique.  This is necessary because,
260 # e.g., the same source file might be shared among _SOURCES variables
261 # for different programs/libraries.
262 am__define_uniq_tagged_files = \
263   list='$(am__tagged_files)'; \
264   unique=`for i in $$list; do \
265     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
266   done | $(am__uniquify_input)`
267 ETAGS = etags
268 CTAGS = ctags
269 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
270 ACLOCAL = @ACLOCAL@
271 ALL_LINGUAS = @ALL_LINGUAS@
272 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
273 AMTAR = @AMTAR@
274 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
275 ANT = @ANT@
276 ANTLR = @ANTLR@
277 AR = @AR@
278 ARPACK_LIBS = @ARPACK_LIBS@
279 ASM3 = @ASM3@
280 AUTOCONF = @AUTOCONF@
281 AUTOHEADER = @AUTOHEADER@
282 AUTOMAKE = @AUTOMAKE@
283 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
284 AWK = @AWK@
285 BATIK = @BATIK@
286 BLAS_CFLAGS = @BLAS_CFLAGS@
287 BLAS_LIBS = @BLAS_LIBS@
288 CC = @CC@
289 CCACHE = @CCACHE@
290 CCDEPMODE = @CCDEPMODE@
291 CFLAGS = @CFLAGS@
292 CHECKSTYLE = @CHECKSTYLE@
293 COBERTURA = @COBERTURA@
294 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
295 COMMONS_IO = @COMMONS_IO@
296 COMMONS_LOGGING = @COMMONS_LOGGING@
297 CPP = @CPP@
298 CPPFLAGS = @CPPFLAGS@
299 CURL_CFLAGS = @CURL_CFLAGS@
300 CURL_CONFIG = @CURL_CONFIG@
301 CURL_LIBS = @CURL_LIBS@
302 CURL_VERSION = @CURL_VERSION@
303 CXX = @CXX@
304 CXXCPP = @CXXCPP@
305 CXXDEPMODE = @CXXDEPMODE@
306 CXXFLAGS = @CXXFLAGS@
307 CYGPATH_W = @CYGPATH_W@
308 DEFS = @DEFS@
309 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
310 DEPDIR = @DEPDIR@
311 DLLTOOL = @DLLTOOL@
312 DOCBOOK_ROOT = @DOCBOOK_ROOT@
313 DOXYGEN_BIN = @DOXYGEN_BIN@
314 DSYMUTIL = @DSYMUTIL@
315 DUMPBIN = @DUMPBIN@
316 ECHO_C = @ECHO_C@
317 ECHO_N = @ECHO_N@
318 ECHO_T = @ECHO_T@
319 ECJ = @ECJ@
320 EGREP = @EGREP@
321 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
322 EXEEXT = @EXEEXT@
323 F77 = @F77@
324 FFLAGS = @FFLAGS@
325 FFTW3_LIB = @FFTW3_LIB@
326 FFTW_ENABLE = @FFTW_ENABLE@
327 FGREP = @FGREP@
328 FLEXDOCK = @FLEXDOCK@
329 FLIBS = @FLIBS@
330 FOP = @FOP@
331 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
332 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
333 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
334 FREEHEP_IO = @FREEHEP_IO@
335 FREEHEP_UTIL = @FREEHEP_UTIL@
336 GENHTML = @GENHTML@
337 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
338 GIWS_BIN = @GIWS_BIN@
339 GLUEGEN2_RT = @GLUEGEN2_RT@
340 GMSGFMT = @GMSGFMT@
341 GMSGFMT_015 = @GMSGFMT_015@
342 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
343 GREP = @GREP@
344 GUI_ENABLE = @GUI_ENABLE@
345 HAMCREST = @HAMCREST@
346 HAVE_CXX11 = @HAVE_CXX11@
347 HDF5_CFLAGS = @HDF5_CFLAGS@
348 HDF5_LIBS = @HDF5_LIBS@
349 HELP_ENABLE = @HELP_ENABLE@
350 INSTALL = @INSTALL@
351 INSTALL_DATA = @INSTALL_DATA@
352 INSTALL_PROGRAM = @INSTALL_PROGRAM@
353 INSTALL_SCRIPT = @INSTALL_SCRIPT@
354 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
355 INTLLIBS = @INTLLIBS@
356 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
357 JAR = @JAR@
358 JAVA = @JAVA@
359 JAVAC = @JAVAC@
360 JAVAC_DEBUG = @JAVAC_DEBUG@
361 JAVADOC = @JAVADOC@
362 JAVAH = @JAVAH@
363 JAVASCI_ENABLE = @JAVASCI_ENABLE@
364 JAVA_ENABLE = @JAVA_ENABLE@
365 JAVA_G = @JAVA_G@
366 JAVA_HOME = @JAVA_HOME@
367 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
368 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
369 JDB = @JDB@
370 JEUCLID_CORE = @JEUCLID_CORE@
371 JGRAPHX = @JGRAPHX@
372 JHALL = @JHALL@
373 JLATEXMATH = @JLATEXMATH@
374 JLATEXMATH_FOP = @JLATEXMATH_FOP@
375 JOGL2 = @JOGL2@
376 JROSETTA_API = @JROSETTA_API@
377 JROSETTA_ENGINE = @JROSETTA_ENGINE@
378 JUNIT4 = @JUNIT4@
379 LAPACK_LIBS = @LAPACK_LIBS@
380 LCOV = @LCOV@
381 LD = @LD@
382 LDFLAGS = @LDFLAGS@
383 LEX = @LEX@
384 LEXLIB = @LEXLIB@
385 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
386 LIBICONV = @LIBICONV@
387 LIBINTL = @LIBINTL@
388 LIBM = @LIBM@
389 LIBOBJS = @LIBOBJS@
390 LIBS = @LIBS@
391 LIBTOOL = @LIBTOOL@
392 LIPO = @LIPO@
393 LN_S = @LN_S@
394 LOGGING_LEVEL = @LOGGING_LEVEL@
395 LOOKS = @LOOKS@
396 LTLIBICONV = @LTLIBICONV@
397 LTLIBINTL = @LTLIBINTL@
398 LTLIBOBJS = @LTLIBOBJS@
399 LUCENE = @LUCENE@
400 LUCENE_ANALYZER = @LUCENE_ANALYZER@
401 LUCENE_PARSER = @LUCENE_PARSER@
402 MAINT = @MAINT@
403 MAKEINFO = @MAKEINFO@
404 MANIFEST_TOOL = @MANIFEST_TOOL@
405 MATIO_CFLAGS = @MATIO_CFLAGS@
406 MATIO_ENABLE = @MATIO_ENABLE@
407 MATIO_LIBS = @MATIO_LIBS@
408 MKDIR_P = @MKDIR_P@
409 MPI_ENABLE = @MPI_ENABLE@
410 MSGCAT = @MSGCAT@
411 MSGFMT = @MSGFMT@
412 MSGFMT_015 = @MSGFMT_015@
413 MSGMERGE = @MSGMERGE@
414 NM = @NM@
415 NMEDIT = @NMEDIT@
416 OBJDUMP = @OBJDUMP@
417 OBJEXT = @OBJEXT@
418 OCAMLC = @OCAMLC@
419 OCAMLDEP = @OCAMLDEP@
420 OCAMLLEX = @OCAMLLEX@
421 OCAMLOPT = @OCAMLOPT@
422 OCAMLYACC = @OCAMLYACC@
423 OPENMPI_CC = @OPENMPI_CC@
424 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
425 OPENMPI_CXX = @OPENMPI_CXX@
426 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
427 OPENMPI_LIBS = @OPENMPI_LIBS@
428 OPENMP_CFLAGS = @OPENMP_CFLAGS@
429 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
430 OPENMP_ENABLE = @OPENMP_ENABLE@
431 OPENMP_LIBS = @OPENMP_LIBS@
432 OTOOL = @OTOOL@
433 OTOOL64 = @OTOOL64@
434 PACKAGE = @PACKAGE@
435 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436 PACKAGE_NAME = @PACKAGE_NAME@
437 PACKAGE_STRING = @PACKAGE_STRING@
438 PACKAGE_TARNAME = @PACKAGE_TARNAME@
439 PACKAGE_URL = @PACKAGE_URL@
440 PACKAGE_VERSION = @PACKAGE_VERSION@
441 PATH_SEPARATOR = @PATH_SEPARATOR@
442 PCRE_CFLAGS = @PCRE_CFLAGS@
443 PCRE_CONFIG = @PCRE_CONFIG@
444 PCRE_LIBS = @PCRE_LIBS@
445 PCRE_VERSION = @PCRE_VERSION@
446 PKG_CONFIG = @PKG_CONFIG@
447 POSUB = @POSUB@
448 POW_LIB = @POW_LIB@
449 PYTHON = @PYTHON@
450 RANLIB = @RANLIB@
451 RELOCATABLE = @RELOCATABLE@
452 RT_LIB = @RT_LIB@
453 SAXON = @SAXON@
454 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
455 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
456 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
457 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
458 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
459 SCIRENDERER = @SCIRENDERER@
460 SCIRENDERER_CP = @SCIRENDERER_CP@
461 SCI_CFLAGS = @SCI_CFLAGS@
462 SCI_CXXFLAGS = @SCI_CXXFLAGS@
463 SCI_FFLAGS = @SCI_FFLAGS@
464 SCI_LDFLAGS = @SCI_LDFLAGS@
465 SED = @SED@
466 SET_MAKE = @SET_MAKE@
467 SET_RELOCATABLE = @SET_RELOCATABLE@
468 SHELL = @SHELL@
469 SKINLF = @SKINLF@
470 SPLINT = @SPLINT@
471 STRIP = @STRIP@
472 SWIG_BIN = @SWIG_BIN@
473 SWIG_JAVA = @SWIG_JAVA@
474 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
475 SWIG_SCILAB = @SWIG_SCILAB@
476 TCLTK_LIBS = @TCLTK_LIBS@
477 TCL_INC_PATH = @TCL_INC_PATH@
478 TK_INC_PATH = @TK_INC_PATH@
479 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
480 UMFPACK_ENABLE = @UMFPACK_ENABLE@
481 UMFPACK_LIB = @UMFPACK_LIB@
482 USE_NLS = @USE_NLS@
483 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
484 VALGRIND_LIBS = @VALGRIND_LIBS@
485 VERSION = @VERSION@
486 WITH_OCAML = @WITH_OCAML@
487 WITH_TKSCI = @WITH_TKSCI@
488 XCOS_ENABLE = @XCOS_ENABLE@
489 XGETTEXT = @XGETTEXT@
490 XGETTEXT_015 = @XGETTEXT_015@
491 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
492 XMKMF = @XMKMF@
493 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
494 XML_APIS_EXT = @XML_APIS_EXT@
495 XML_CONFIG = @XML_CONFIG@
496 XML_FLAGS = @XML_FLAGS@
497 XML_LIBS = @XML_LIBS@
498 XML_VERSION = @XML_VERSION@
499 X_CFLAGS = @X_CFLAGS@
500 X_EXTRA_LIBS = @X_EXTRA_LIBS@
501 X_LIBS = @X_LIBS@
502 X_PRE_LIBS = @X_PRE_LIBS@
503 YACC = @YACC@
504 YFLAGS = @YFLAGS@
505 abs_builddir = @abs_builddir@
506 abs_srcdir = @abs_srcdir@
507 abs_top_builddir = @abs_top_builddir@
508 abs_top_srcdir = @abs_top_srcdir@
509 ac_ct_AR = @ac_ct_AR@
510 ac_ct_CC = @ac_ct_CC@
511 ac_ct_CXX = @ac_ct_CXX@
512 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
513 ac_ct_F77 = @ac_ct_F77@
514 am__include = @am__include@
515 am__leading_dot = @am__leading_dot@
516 am__quote = @am__quote@
517 am__tar = @am__tar@
518 am__untar = @am__untar@
519 bindir = @bindir@
520 build = @build@
521 build_alias = @build_alias@
522 build_cpu = @build_cpu@
523 build_os = @build_os@
524 build_vendor = @build_vendor@
525 builddir = @builddir@
526 cxx_present = @cxx_present@
527 datadir = @datadir@
528 datarootdir = @datarootdir@
529 docdir = @docdir@
530 dvidir = @dvidir@
531 exec_prefix = @exec_prefix@
532 host = @host@
533 host_alias = @host_alias@
534 host_cpu = @host_cpu@
535 host_os = @host_os@
536 host_vendor = @host_vendor@
537 htmldir = @htmldir@
538 includedir = @includedir@
539 infodir = @infodir@
540 install_sh = @install_sh@
541 libdir = @libdir@
542 libexecdir = @libexecdir@
543 localedir = @localedir@
544 localstatedir = @localstatedir@
545 mandir = @mandir@
546 mkdir_p = @mkdir_p@
547 oldincludedir = @oldincludedir@
548 pdfdir = @pdfdir@
549 prefix = @prefix@
550 program_transform_name = @program_transform_name@
551 psdir = @psdir@
552 sbindir = @sbindir@
553 sharedstatedir = @sharedstatedir@
554 srcdir = @srcdir@
555 sysconfdir = @sysconfdir@
556 target_alias = @target_alias@
557 top_build_prefix = @top_build_prefix@
558 top_builddir = @top_builddir@
559 top_srcdir = @top_srcdir@
560 yacc_present = @yacc_present@
561 API_SCILAB_CXX_SOURCES = \
562     src/cpp/api_stack_boolean.cpp \
563     src/cpp/api_stack_boolean_sparse.cpp \
564     src/cpp/api_stack_common.cpp \
565     src/cpp/api_stack_double.cpp \
566     src/cpp/api_stack_int.cpp \
567     src/cpp/api_stack_list.cpp \
568     src/cpp/api_stack_poly.cpp \
569     src/cpp/api_stack_sparse.cpp \
570     src/cpp/api_stack_string.cpp \
571     src/cpp/api_stack_pointer.cpp \
572     src/cpp/api_stack_handle.cpp \
573     src/cpp/api_stack_error.cpp \
574     src/cpp/api_stack_hypermat.cpp \
575     src/cpp/api_stack_optional.cpp \
576     src/cpp/returnProperty.cpp \
577     src/cpp/returnPropertyList.cpp \
578     src/cpp/api_template_safe.cpp \
579     src/cpp/api_template_unsafe.cpp \
580     src/cpp/api_error.cpp
581
582 libsciapi_scilab_la_CPPFLAGS = \
583     -I$(srcdir)/includes/ \
584     -I$(srcdir)/src/cpp/ \
585     -I$(srcdir)/src/c/ \
586     -I$(top_srcdir)/modules/ast/includes/ast/ \
587     -I$(top_srcdir)/modules/ast/includes/exps/ \
588     -I$(top_srcdir)/modules/ast/includes/operations/ \
589     -I$(top_srcdir)/modules/ast/includes/parse/ \
590     -I$(top_srcdir)/modules/ast/includes/symbol/ \
591     -I$(top_srcdir)/modules/ast/includes/system_env/ \
592     -I$(top_srcdir)/modules/ast/includes/types/ \
593     -I$(top_srcdir)/modules/ast/includes/analysis/ \
594     -I$(top_srcdir)/modules/core/includes \
595     -I$(top_srcdir)/modules/call_scilab/includes \
596     -I$(top_srcdir)/modules/localization/includes \
597     -I$(top_srcdir)/modules/output_stream/includes \
598     -I$(top_srcdir)/modules/elementary_functions/includes \
599     -I$(top_srcdir)/modules/string/includes \
600     -I$(top_srcdir)/modules/dynamic_link/includes \
601     -I$(top_srcdir)/modules/threads/includes \
602     $(AM_CPPFLAGS)
603
604 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
605 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
606 libsciapi_scilab_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
607 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CXX_SOURCES)
608
609 # For the code check (splint)
610 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
611 INCLUDE_FLAGS = $(libsciapi_scilab_la_CPPFLAGS)
612 libsciapi_scilab_la_LIBADD = 
613 #
614
615 #### Target ######
616 modulename = api_scilab
617
618 #### api_scilab : Conf files ####
619 libsciapi_scilab_la_rootdir = $(mydatadir)
620 libsciapi_scilab_la_root_DATA = license.txt
621
622 #### api_scilab : init scripts ####
623 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
624 libsciapi_scilab_la_etc_DATA = \
625     etc/api_scilab.quit \
626     etc/api_scilab.start
627
628
629 #### api_scilab : include files ####
630 libsciapi_scilab_la_includedir = $(pkgincludedir)
631 libsciapi_scilab_la_include_HEADERS = \
632 includes/api_stack_boolean.h \
633 includes/api_stack_boolean_sparse.h \
634 includes/api_stack_common.h \
635 includes/api_stack_error.h \
636 includes/api_stack_double.h \
637 includes/api_stack_hypermat.h \
638 includes/api_stack_int.h \
639 includes/api_stack_list.h \
640 includes/api_stack_pointer.h \
641 includes/api_stack_poly.h \
642 includes/api_stack_sparse.h \
643 includes/api_stack_string.h \
644 includes/api_stack_handle.h \
645 includes/api_stack_optional.h \
646 includes/api_scilab.h \
647 includes/dynlib_api_scilab.h \
648 includes/api_boolean.h \
649 includes/api_cell.h \
650 includes/api_common.h \
651 includes/api_double.h \
652 includes/api_error.h \
653 includes/api_int.h \
654 includes/api_list.h \
655 includes/api_poly.h \
656 includes/api_pointer.h \
657 includes/api_struct.h \
658 includes/api_string.h \
659 includes/api_handle.h \
660 includes/api_optional.h \
661 includes/api_scilab.hxx
662
663
664 # Where all the Scilab stuff is installed (macros, help, ...)
665 mydatadir = $(pkgdatadir)/modules/$(modulename)
666
667 # Set AM_* SCI detected settings
668 AM_CPPFLAGS = $(SCI_CPPFLAGS)
669 AM_CFLAGS = $(SCI_CFLAGS)
670 AM_CXXFLAGS = $(SCI_CXXFLAGS)
671 # append includes to AM_FFLAGS to manage fortran includes
672 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
673
674 # Tag shared libraries with the Scilab version
675 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
676
677 # splint options
678 SPLINT_OPTIONS = -weak -booltype BOOL
679
680 ########################### JAVA ######################################
681 #### We are delegating java compilation to ant... Thanks to that
682 #### the procedure will be the same with Microsoft Windows (C)
683 #### and Linux/Unix
684 #######################################################################
685 TARGETS_ALL = $(am__append_1)
686
687 ################ MACROS ######################
688 # Rule to build a macro
689 # NOT USED  AT THE MOMENT
690 SUFFIXES = .sci 
691
692 ########### INSTALL DOCUMENTATION ###################
693
694 # Install documentation files into the right target
695 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
696 # automake needs the html files to be present which is not the case when
697 # we are building Scilab
698
699 # Where it should be installed
700 pkgdocdir = $(mydatadir)
701
702 # What is the mask of the help source
703 DOCMASKXML = *.xml
704
705 # What is the mask of the MathML sources
706 DOCMASKMML = *.mml
707
708 ########### INSTALL DATA ###################
709 # Install macros, help & demos
710 # Where it should be installed
711 pkgmacrosdir = $(mydatadir)
712 # Which directory we process
713 MACRODIRS = macros/
714 # Mask of the Scilab sources macros
715 MACROMASK = *.sci
716 # Mask of the Scilab executable sources macros
717 MACROBUILDMASK = *.sce
718 # Mask of the Scilab compiled macros
719 MACROBINMASK = *.bin
720 # List of the standard directory for tests
721 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
722 # Where the demos should be installed
723 pkgdemosdir = $(mydatadir)
724 # List of the standard directory for demos
725 DEMOS_DIR = demos
726 # List of the standard directory for examples
727 EXAMPLES_DIR = examples
728 # Where to export JAVA archives (.jar)
729 JARDIR = jar/
730 # JAR files mask
731 JARMASK = *.jar
732 # Chapter file 
733 HELP_CHAPTERDIR = help/
734 HELP_CHAPTERFILE = addchapter.sce
735 HELP_CHAPTERLANG = en_US fr_FR pt_BR
736 all: all-am
737
738 .SUFFIXES:
739 .SUFFIXES: .sci .bin .cpp .lo .o .obj
740 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
741         @for dep in $?; do \
742           case '$(am__configure_deps)' in \
743             *$$dep*) \
744               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
745                 && { if test -f $@; then exit 0; else break; fi; }; \
746               exit 1;; \
747           esac; \
748         done; \
749         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
750         $(am__cd) $(top_srcdir) && \
751           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
752 .PRECIOUS: Makefile
753 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
754         @case '$?' in \
755           *config.status*) \
756             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
757           *) \
758             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
759             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
760         esac;
761 $(top_srcdir)/Makefile.incl.am:
762
763 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
764         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
765
766 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
767         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
768 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
769         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
770 $(am__aclocal_m4_deps):
771
772 clean-noinstLTLIBRARIES:
773         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
774         @list='$(noinst_LTLIBRARIES)'; \
775         locs=`for p in $$list; do echo $$p; done | \
776               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
777               sort -u`; \
778         test -z "$$locs" || { \
779           echo rm -f $${locs}; \
780           rm -f $${locs}; \
781         }
782
783 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
784         @$(NORMAL_INSTALL)
785         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
786         list2=; for p in $$list; do \
787           if test -f $$p; then \
788             list2="$$list2 $$p"; \
789           else :; fi; \
790         done; \
791         test -z "$$list2" || { \
792           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
793           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
794           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
795           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
796         }
797
798 uninstall-pkglibLTLIBRARIES:
799         @$(NORMAL_UNINSTALL)
800         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
801         for p in $$list; do \
802           $(am__strip_dir) \
803           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
804           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
805         done
806
807 clean-pkglibLTLIBRARIES:
808         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
809         @list='$(pkglib_LTLIBRARIES)'; \
810         locs=`for p in $$list; do echo $$p; done | \
811               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
812               sort -u`; \
813         test -z "$$locs" || { \
814           echo rm -f $${locs}; \
815           rm -f $${locs}; \
816         }
817 src/cpp/$(am__dirstamp):
818         @$(MKDIR_P) src/cpp
819         @: > src/cpp/$(am__dirstamp)
820 src/cpp/$(DEPDIR)/$(am__dirstamp):
821         @$(MKDIR_P) src/cpp/$(DEPDIR)
822         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
823 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo:  \
824         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
825 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo:  \
826         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
827 src/cpp/libsciapi_scilab_la-api_stack_common.lo:  \
828         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
829 src/cpp/libsciapi_scilab_la-api_stack_double.lo:  \
830         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
831 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/$(am__dirstamp) \
832         src/cpp/$(DEPDIR)/$(am__dirstamp)
833 src/cpp/libsciapi_scilab_la-api_stack_list.lo:  \
834         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
835 src/cpp/libsciapi_scilab_la-api_stack_poly.lo:  \
836         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
837 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo:  \
838         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
839 src/cpp/libsciapi_scilab_la-api_stack_string.lo:  \
840         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
841 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo:  \
842         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
843 src/cpp/libsciapi_scilab_la-api_stack_handle.lo:  \
844         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
845 src/cpp/libsciapi_scilab_la-api_stack_error.lo:  \
846         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
847 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo:  \
848         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
849 src/cpp/libsciapi_scilab_la-api_stack_optional.lo:  \
850         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
851 src/cpp/libsciapi_scilab_la-returnProperty.lo:  \
852         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
853 src/cpp/libsciapi_scilab_la-returnPropertyList.lo:  \
854         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
855 src/cpp/libsciapi_scilab_la-api_template_safe.lo:  \
856         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
857 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo:  \
858         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
859 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/$(am__dirstamp) \
860         src/cpp/$(DEPDIR)/$(am__dirstamp)
861
862 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) $(EXTRA_libsciapi_scilab_la_DEPENDENCIES) 
863         $(AM_V_CXXLD)$(libsciapi_scilab_la_LINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
864
865 mostlyclean-compile:
866         -rm -f *.$(OBJEXT)
867         -rm -f src/cpp/*.$(OBJEXT)
868         -rm -f src/cpp/*.lo
869
870 distclean-compile:
871         -rm -f *.tab.c
872
873 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
874 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo@am__quote@
875 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo@am__quote@
876 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo@am__quote@
877 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo@am__quote@
878 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo@am__quote@
879 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo@am__quote@
880 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo@am__quote@
881 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo@am__quote@
882 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo@am__quote@
883 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo@am__quote@
885 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo@am__quote@
891 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo@am__quote@
892
893 .cpp.o:
894 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
895 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
896 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
897 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
898 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
899 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
900
901 .cpp.obj:
902 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
903 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
904 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
905 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
906 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
907 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
908
909 .cpp.lo:
910 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
911 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
912 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
913 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
916
917 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo: src/cpp/api_stack_boolean.cpp
918 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
919 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo
920 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean.lo' libtool=yes @AMDEPBACKSLASH@
921 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
923
924 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo: src/cpp/api_stack_boolean_sparse.cpp
925 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
926 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo
927 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
930
931 src/cpp/libsciapi_scilab_la-api_stack_common.lo: src/cpp/api_stack_common.cpp
932 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_common.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
933 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo
934 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_common.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_common.lo' libtool=yes @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
937
938 src/cpp/libsciapi_scilab_la-api_stack_double.lo: src/cpp/api_stack_double.cpp
939 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_double.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
940 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo
941 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_double.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_double.lo' libtool=yes @AMDEPBACKSLASH@
942 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
944
945 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/api_stack_int.cpp
946 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_int.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
947 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo
948 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_int.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_int.lo' libtool=yes @AMDEPBACKSLASH@
949 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
951
952 src/cpp/libsciapi_scilab_la-api_stack_list.lo: src/cpp/api_stack_list.cpp
953 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_list.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
954 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo
955 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_list.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_list.lo' libtool=yes @AMDEPBACKSLASH@
956 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
958
959 src/cpp/libsciapi_scilab_la-api_stack_poly.lo: src/cpp/api_stack_poly.cpp
960 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_poly.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
961 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo
962 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_poly.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_poly.lo' libtool=yes @AMDEPBACKSLASH@
963 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
965
966 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo: src/cpp/api_stack_sparse.cpp
967 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
968 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo
969 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_sparse.lo' libtool=yes @AMDEPBACKSLASH@
970 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
972
973 src/cpp/libsciapi_scilab_la-api_stack_string.lo: src/cpp/api_stack_string.cpp
974 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_string.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
975 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo
976 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_string.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_string.lo' libtool=yes @AMDEPBACKSLASH@
977 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
979
980 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo: src/cpp/api_stack_pointer.cpp
981 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_pointer.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
982 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo
983 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_pointer.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_pointer.lo' libtool=yes @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
986
987 src/cpp/libsciapi_scilab_la-api_stack_handle.lo: src/cpp/api_stack_handle.cpp
988 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_handle.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
989 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo
990 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_handle.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_handle.lo' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
993
994 src/cpp/libsciapi_scilab_la-api_stack_error.lo: src/cpp/api_stack_error.cpp
995 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
996 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo
997 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_error.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_error.lo' libtool=yes @AMDEPBACKSLASH@
998 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
1000
1001 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo: src/cpp/api_stack_hypermat.cpp
1002 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1003 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo
1004 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_hypermat.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo' libtool=yes @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1007
1008 src/cpp/libsciapi_scilab_la-api_stack_optional.lo: src/cpp/api_stack_optional.cpp
1009 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_optional.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1010 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo
1011 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_optional.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_optional.lo' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1014
1015 src/cpp/libsciapi_scilab_la-returnProperty.lo: src/cpp/returnProperty.cpp
1016 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnProperty.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1017 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo
1018 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnProperty.cpp' object='src/cpp/libsciapi_scilab_la-returnProperty.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1021
1022 src/cpp/libsciapi_scilab_la-returnPropertyList.lo: src/cpp/returnPropertyList.cpp
1023 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnPropertyList.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1024 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
1025 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnPropertyList.cpp' object='src/cpp/libsciapi_scilab_la-returnPropertyList.lo' libtool=yes @AMDEPBACKSLASH@
1026 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1028
1029 src/cpp/libsciapi_scilab_la-api_template_safe.lo: src/cpp/api_template_safe.cpp
1030 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_safe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1031 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo
1032 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_safe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_safe.lo' libtool=yes @AMDEPBACKSLASH@
1033 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1035
1036 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo: src/cpp/api_template_unsafe.cpp
1037 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_unsafe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1038 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo
1039 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_unsafe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_unsafe.lo' libtool=yes @AMDEPBACKSLASH@
1040 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1042
1043 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
1044 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1045 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo
1046 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_error.cpp' object='src/cpp/libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
1047 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1049
1050 mostlyclean-libtool:
1051         -rm -f *.lo
1052
1053 clean-libtool:
1054         -rm -rf .libs _libs
1055         -rm -rf src/cpp/.libs src/cpp/_libs
1056 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
1057         @$(NORMAL_INSTALL)
1058         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1059         if test -n "$$list"; then \
1060           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1061           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit 1; \
1062         fi; \
1063         for p in $$list; do \
1064           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1065           echo "$$d$$p"; \
1066         done | $(am__base_list) | \
1067         while read files; do \
1068           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1069           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
1070         done
1071
1072 uninstall-libsciapi_scilab_la_etcDATA:
1073         @$(NORMAL_UNINSTALL)
1074         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1075         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1076         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
1077 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
1078         @$(NORMAL_INSTALL)
1079         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1080         if test -n "$$list"; then \
1081           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1082           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit 1; \
1083         fi; \
1084         for p in $$list; do \
1085           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1086           echo "$$d$$p"; \
1087         done | $(am__base_list) | \
1088         while read files; do \
1089           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1090           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
1091         done
1092
1093 uninstall-libsciapi_scilab_la_rootDATA:
1094         @$(NORMAL_UNINSTALL)
1095         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1096         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1097         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
1098 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
1099         @$(NORMAL_INSTALL)
1100         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1101         if test -n "$$list"; then \
1102           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1103           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit 1; \
1104         fi; \
1105         for p in $$list; do \
1106           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1107           echo "$$d$$p"; \
1108         done | $(am__base_list) | \
1109         while read files; do \
1110           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1111           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
1112         done
1113
1114 uninstall-libsciapi_scilab_la_includeHEADERS:
1115         @$(NORMAL_UNINSTALL)
1116         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1117         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1118         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
1119
1120 ID: $(am__tagged_files)
1121         $(am__define_uniq_tagged_files); mkid -fID $$unique
1122 tags: tags-am
1123 TAGS: tags
1124
1125 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1126         set x; \
1127         here=`pwd`; \
1128         $(am__define_uniq_tagged_files); \
1129         shift; \
1130         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1131           test -n "$$unique" || unique=$$empty_fix; \
1132           if test $$# -gt 0; then \
1133             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1134               "$$@" $$unique; \
1135           else \
1136             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1137               $$unique; \
1138           fi; \
1139         fi
1140 ctags: ctags-am
1141
1142 CTAGS: ctags
1143 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1144         $(am__define_uniq_tagged_files); \
1145         test -z "$(CTAGS_ARGS)$$unique" \
1146           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1147              $$unique
1148
1149 GTAGS:
1150         here=`$(am__cd) $(top_builddir) && pwd` \
1151           && $(am__cd) $(top_srcdir) \
1152           && gtags -i $(GTAGS_ARGS) "$$here"
1153 cscopelist: cscopelist-am
1154
1155 cscopelist-am: $(am__tagged_files)
1156         list='$(am__tagged_files)'; \
1157         case "$(srcdir)" in \
1158           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1159           *) sdir=$(subdir)/$(srcdir) ;; \
1160         esac; \
1161         for i in $$list; do \
1162           if test -f "$$i"; then \
1163             echo "$(subdir)/$$i"; \
1164           else \
1165             echo "$$sdir/$$i"; \
1166           fi; \
1167         done >> $(top_builddir)/cscope.files
1168
1169 distclean-tags:
1170         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1171
1172 distdir: $(DISTFILES)
1173         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1174         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1175         list='$(DISTFILES)'; \
1176           dist_files=`for file in $$list; do echo $$file; done | \
1177           sed -e "s|^$$srcdirstrip/||;t" \
1178               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1179         case $$dist_files in \
1180           */*) $(MKDIR_P) `echo "$$dist_files" | \
1181                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1182                            sort -u` ;; \
1183         esac; \
1184         for file in $$dist_files; do \
1185           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1186           if test -d $$d/$$file; then \
1187             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1188             if test -d "$(distdir)/$$file"; then \
1189               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1190             fi; \
1191             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1192               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1193               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1194             fi; \
1195             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1196           else \
1197             test -f "$(distdir)/$$file" \
1198             || cp -p $$d/$$file "$(distdir)/$$file" \
1199             || exit 1; \
1200           fi; \
1201         done
1202 check-am: all-am
1203         $(MAKE) $(AM_MAKEFLAGS) check-local
1204 check: check-am
1205 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1206 installdirs:
1207         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
1208           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1209         done
1210 install: install-am
1211 install-exec: install-exec-am
1212 install-data: install-data-am
1213 uninstall: uninstall-am
1214
1215 install-am: all-am
1216         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1217
1218 installcheck: installcheck-am
1219 install-strip:
1220         if test -z '$(STRIP)'; then \
1221           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1222             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1223               install; \
1224         else \
1225           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1226             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1227             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1228         fi
1229 mostlyclean-generic:
1230
1231 clean-generic:
1232
1233 distclean-generic:
1234         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1235         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1236         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1237         -rm -f src/cpp/$(am__dirstamp)
1238
1239 maintainer-clean-generic:
1240         @echo "This command is intended for maintainers to use"
1241         @echo "it deletes files that may require special tools to rebuild."
1242 clean: clean-am
1243
1244 clean-am: clean-generic clean-libtool clean-local \
1245         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1246
1247 distclean: distclean-am
1248         -rm -rf src/cpp/$(DEPDIR)
1249         -rm -f Makefile
1250 distclean-am: clean-am distclean-compile distclean-generic \
1251         distclean-local distclean-tags
1252
1253 dvi: dvi-am
1254
1255 dvi-am:
1256
1257 html: html-am
1258
1259 html-am:
1260
1261 info: info-am
1262
1263 info-am:
1264
1265 install-data-am: install-data-local \
1266         install-libsciapi_scilab_la_etcDATA \
1267         install-libsciapi_scilab_la_includeHEADERS \
1268         install-libsciapi_scilab_la_rootDATA
1269
1270 install-dvi: install-dvi-am
1271
1272 install-dvi-am:
1273
1274 install-exec-am: install-pkglibLTLIBRARIES
1275
1276 install-html: install-html-am
1277
1278 install-html-am: install-html-local
1279
1280 install-info: install-info-am
1281
1282 install-info-am:
1283
1284 install-man:
1285
1286 install-pdf: install-pdf-am
1287
1288 install-pdf-am:
1289
1290 install-ps: install-ps-am
1291
1292 install-ps-am:
1293
1294 installcheck-am:
1295
1296 maintainer-clean: maintainer-clean-am
1297         -rm -rf src/cpp/$(DEPDIR)
1298         -rm -f Makefile
1299 maintainer-clean-am: distclean-am maintainer-clean-generic
1300
1301 mostlyclean: mostlyclean-am
1302
1303 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1304         mostlyclean-libtool
1305
1306 pdf: pdf-am
1307
1308 pdf-am:
1309
1310 ps: ps-am
1311
1312 ps-am:
1313
1314 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
1315         uninstall-libsciapi_scilab_la_includeHEADERS \
1316         uninstall-libsciapi_scilab_la_rootDATA \
1317         uninstall-pkglibLTLIBRARIES
1318
1319 .MAKE: check-am install-am install-strip
1320
1321 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1322         check-local clean clean-generic clean-libtool clean-local \
1323         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1324         ctags ctags-am distclean distclean-compile distclean-generic \
1325         distclean-libtool distclean-local distclean-tags distdir dvi \
1326         dvi-am html html-am info info-am install install-am \
1327         install-data install-data-am install-data-local install-dvi \
1328         install-dvi-am install-exec install-exec-am install-html \
1329         install-html-am install-html-local install-info \
1330         install-info-am install-libsciapi_scilab_la_etcDATA \
1331         install-libsciapi_scilab_la_includeHEADERS \
1332         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1333         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1334         install-ps-am install-strip installcheck installcheck-am \
1335         installdirs maintainer-clean maintainer-clean-generic \
1336         mostlyclean mostlyclean-compile mostlyclean-generic \
1337         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1338         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1339         uninstall-libsciapi_scilab_la_includeHEADERS \
1340         uninstall-libsciapi_scilab_la_rootDATA \
1341         uninstall-pkglibLTLIBRARIES
1342
1343
1344 # This target enables tests for Scilab
1345 check-local: $(top_builddir)/scilab-bin test
1346         if test -d $(mydatadir)/tests; then \
1347           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1348         fi
1349 check-code:
1350         if test -f build.xml; then \
1351                 $(ANT) checkstyle; \
1352         fi
1353         if test -x "$(SPLINT)"; then \
1354                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1355         fi
1356 @NEED_JAVA_TRUE@java:
1357 # Some configurations needs to export JAVA_HOME in the current env
1358 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1359 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1360 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1361 @NEED_JAVA_TRUE@                $(ANT); \
1362 @NEED_JAVA_TRUE@        fi
1363
1364 @NEED_JAVA_TRUE@clean-java:
1365 # Some configurations needs to export JAVA_HOME in the current env
1366 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1367 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1368 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1369 @NEED_JAVA_TRUE@                $(ANT) clean; \
1370 @NEED_JAVA_TRUE@        fi;
1371
1372 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1373 # We call the target swig-build on the variable SWIG_WRAPPERS
1374
1375 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1376 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1377 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1378 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1379 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1380 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1381 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1382 @SWIG_TRUE@             done; \
1383 @SWIG_TRUE@     fi
1384
1385 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1386 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1387 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1388 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1389 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1390 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1391 @SWIG_TRUE@             done; \
1392 @SWIG_TRUE@     fi
1393
1394 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1395 # We call the target swig-build on the variable SWIG_WRAPPERS
1396
1397 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1398 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1399 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1400 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1401 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1402 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1403 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1404 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1405 @GIWS_TRUE@                     else \
1406 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1407 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1408 @GIWS_TRUE@                     fi \
1409 @GIWS_TRUE@             done; \
1410 @GIWS_TRUE@     fi
1411
1412 @GIWS_TRUE@giws-exception:
1413 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1414 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1415 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1416
1417 macros:
1418         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1419                 echo "Error : Cannot build $< : Scilab has not been built"; \
1420         else \
1421                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1422         fi)
1423
1424 # Removes the macros
1425 clean-macros:
1426 # Removes macros (*.bin generated from .sci)
1427         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1428                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1429                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1430         done
1431
1432 test:
1433 # More tests could be added here
1434         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1435         if test -f build.xml -a $$USEANT -eq 1; then \
1436                 $(ANT) test; \
1437         fi
1438
1439 all-local: $(TARGETS_ALL)
1440
1441 .sci.bin:
1442         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1443         echo "Error : Cannot build $< : Scilab has not been build"; \
1444         else \
1445         echo "Creating $@"; \
1446         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1447         fi )
1448
1449 install-html-local:
1450
1451 install-data-local-local:
1452 # Mainly for javasci
1453         @if test -d $(srcdir)/javadoc; then \
1454                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1455         fi
1456 # If the user wants the help sources to be installed
1457 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1458 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1459 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1460 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1461 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1462 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1463 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1464 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1465 @INSTALL_HELP_XML_TRUE@           done ; \
1466 @INSTALL_HELP_XML_TRUE@         fi; \
1467 @INSTALL_HELP_XML_TRUE@  fi; \
1468 @INSTALL_HELP_XML_TRUE@ done; \
1469 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1470 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1471 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1472 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1473 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1474 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1475 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1476 @INSTALL_HELP_XML_TRUE@           done ; \
1477 @INSTALL_HELP_XML_TRUE@         fi; \
1478 @INSTALL_HELP_XML_TRUE@ fi
1479 install-data-local:
1480 # Install the tests
1481         @echo "-------- Install tests (if any) --------"; \
1482         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1483           if test -d $(srcdir)/$$dir/; then \
1484             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1485                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1486                     if test -d "$(srcdir)/$$dir/$$file"; then \
1487                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1488                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1489                     else \
1490                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1491                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1492                     fi \
1493                   done; \
1494           fi; \
1495         done
1496 # Install the help chapter
1497         @echo "-------- Install the help chapter (if any) --------"; \
1498         for lang in $(HELP_CHAPTERLANG); do \
1499                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1500                 if test -f $$HELPFILE; then \
1501                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1502                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1503                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1504                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1505                 fi; \
1506         done
1507 # Install the demos & examples
1508         @echo "-------- Install demos & examples (if any) --------"; \
1509         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1510           if test -d $(srcdir)/$$dir/; then \
1511             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1512                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1513                     if test -d "$(srcdir)/$$dir/$$file"; then \
1514                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1515                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1516                     else \
1517                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1518                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1519                     fi \
1520                   done; \
1521           fi; \
1522         done
1523 # Install the macros
1524         @echo "-------- Install macros (if any) --------"; \
1525         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1526           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1527                 if test -d $(srcdir)/$$dir/; then \
1528                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1529                         if test -n "$(MACROSSPECIALEXT)"; then \
1530                                 specialExtDir=""; \
1531                                 for specialExt in $(MACROSSPECIALEXT); do \
1532                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1533                                 done; \
1534                                 FILELIST="$$FILELIST $$specialExtDir"; \
1535                         fi; \
1536                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1537                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1538                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1539                   done; \
1540                 fi; \
1541         done
1542 # Install java files (.jar)
1543         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1544         echo "-------- Install jar files --------"; \
1545     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1546           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1547                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1548                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1549           done ; \
1550         fi
1551
1552 ########### CLEAN ###################
1553 # Clean help (generated automatically by Scilab)
1554 # It used to clean the macro (clean-macros) but this was causing
1555 # make clean && make to fail Scilab startup
1556 @NEED_JAVA_TRUE@clean-local: clean-java
1557 @NEED_JAVA_FALSE@clean-local:
1558
1559 distclean-local:
1560         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1561
1562 .PHONY: macros java swig giws
1563
1564 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1565 # Otherwise a system limit (for SysV at least) may be exceeded.
1566 .NOEXPORT: